Bug 197347 - [iOS]Double-tapping a post to like doesn't work on Instagram.com (needs 'dblclick' event)
Summary: [iOS]Double-tapping a post to like doesn't work on Instagram.com (needs 'dblc...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-27 16:45 PDT by zalan
Modified: 2019-04-30 09:07 PDT (History)
9 users (show)

See Also:


Attachments
Patch (16.01 KB, patch)
2019-04-27 16:48 PDT, zalan
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (204.56 MB, application/zip)
2019-04-27 20:09 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (237.09 MB, application/zip)
2019-04-27 22:44 PDT, Build Bot
no flags Details
Patch (24.03 KB, patch)
2019-04-29 12:39 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (24.07 KB, patch)
2019-04-29 13:45 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (24.14 KB, patch)
2019-04-29 21:19 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2019-04-27 16:45:23 PDT
<rdar://problem/49393423>
Comment 1 zalan 2019-04-27 16:48:01 PDT
Created attachment 368416 [details]
Patch
Comment 2 Build Bot 2019-04-27 20:08:11 PDT
Comment on attachment 368416 [details]
Patch

Attachment 368416 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12019552

New failing tests:
http/tests/paymentrequest/payment-response-payerName-attribute.https.html
http/tests/paymentrequest/payment-request-abort-method.https.html
http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
http/tests/adClickAttribution/anchor-tag-attributes-validation.html
http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
http/tests/paymentrequest/payment-response-complete-method.https.html
http/tests/paymentrequest/payment-response-rejects-if-not-active.https.html
http/tests/paymentrequest/payment-request-canmakepayment-method.https.html
http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
http/tests/paymentrequest/payment-response-retry-method.https.html
http/tests/paymentrequest/rejects_if_not_active.https.html
http/tests/paymentrequest/payment-request-merchant-validation.https.html
http/tests/paymentrequest/payment-request-show-method.https.html
http/tests/paymentrequest/payment-response-reference-cycle-leak.https.html
Comment 3 Build Bot 2019-04-27 20:09:57 PDT
Created attachment 368423 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 4 Build Bot 2019-04-27 22:44:18 PDT
Comment on attachment 368416 [details]
Patch

Attachment 368416 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12020636

New failing tests:
http/tests/paymentrequest/payment-response-payerName-attribute.https.html
fast/dom/HTMLAnchorElement/anchor-file-blob-download-no-extension.html
http/tests/paymentrequest/payment-response-payerPhone-attribute.https.html
http/tests/paymentrequest/payment-request-show-method.https.html
http/tests/paymentrequest/rejects_if_not_active.https.html
http/tests/adClickAttribution/anchor-tag-attributes-validation.html
http/tests/paymentrequest/updateWith-method-pmi-handling.https.html
http/tests/paymentrequest/payment-response-rejects-if-not-active.https.html
http/tests/paymentrequest/payment-response-complete-method.https.html
fast/dom/HTMLAnchorElement/anchor-file-blob-download-includes-backslash.html
http/tests/paymentrequest/payment-response-payerEmail-attribute.https.html
fast/files/file-reader-abort-using-open-panel.html
http/tests/paymentrequest/payment-response-retry-method.https.html
http/tests/paymentrequest/payment-request-canmakepayment-method.https.html
http/tests/paymentrequest/payment-request-merchant-validation.https.html
http/tests/paymentrequest/payment-request-abort-method.https.html
http/tests/paymentrequest/payment-response-reference-cycle-leak.https.html
Comment 5 Build Bot 2019-04-27 22:44:27 PDT
Created attachment 368424 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.4
Comment 6 zalan 2019-04-29 10:47:28 PDT
I can repro these failures locally even with my change stashed.
Comment 7 zalan 2019-04-29 12:39:57 PDT
Created attachment 368475 [details]
Patch
Comment 8 Wenson Hsieh 2019-04-29 13:39:56 PDT
Comment on attachment 368475 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=368475&action=review

> Source/WebCore/page/ios/FrameIOS.mm:427
> +        auto node = hitTestResult.innerNode();

Nit - auto*?

> Source/WebKit/WebProcess/WebPage/ios/WebPageIOS.mm:734
> +    auto shiftKey = modifiers.contains(WebEvent::Modifier::ShiftKey);

Nit - I *think* we prefer bool over auto in cases like this 🤷🏻‍♂️

> LayoutTests/fast/events/touch/ios/double-tap-for-double-click2.html:51
> +    	    setTimeout("testRunner.notifyDone()", 0);

Nit - it looks like there's a tab character somewhere here.

> LayoutTests/fast/events/touch/ios/double-tap-for-double-click3.html:50
> +    	setTimeout("testRunner.notifyDone()", 0);

Nit - another tab.
Comment 9 zalan 2019-04-29 13:45:09 PDT
Created attachment 368488 [details]
Patch
Comment 10 WebKit Commit Bot 2019-04-29 14:31:05 PDT
Comment on attachment 368488 [details]
Patch

Clearing flags on attachment: 368488

Committed r244755: <https://trac.webkit.org/changeset/244755>
Comment 11 WebKit Commit Bot 2019-04-29 14:31:07 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Truitt Savell 2019-04-29 16:55:56 PDT
Reverted r244755 for reason:

Casued several test failures on iOS

Committed r244762: <https://trac.webkit.org/changeset/244762>
Comment 13 zalan 2019-04-29 21:19:15 PDT
Created attachment 368536 [details]
Patch
Comment 14 WebKit Commit Bot 2019-04-30 09:07:53 PDT
Comment on attachment 368536 [details]
Patch

Clearing flags on attachment: 368536

Committed r244775: <https://trac.webkit.org/changeset/244775>
Comment 15 WebKit Commit Bot 2019-04-30 09:07:55 PDT
All reviewed patches have been landed.  Closing bug.